<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RTodAccess StructType
 * @subpackage Structs
 */
class RTodAccess extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The ownerIdName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $ownerIdName;
    /**
     * The members
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Members
     */
    public $members;
    /**
     * The associatedRemoteDestination
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedRemoteDestination
     */
    public $associatedRemoteDestination;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RTodAccess
     * @uses RTodAccess::setName()
     * @uses RTodAccess::setDescription()
     * @uses RTodAccess::setOwnerIdName()
     * @uses RTodAccess::setMembers()
     * @uses RTodAccess::setAssociatedRemoteDestination()
     * @uses RTodAccess::setUuid()
     * @param string $name
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $ownerIdName
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedRemoteDestination $associatedRemoteDestination
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $ownerIdName = null, \\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null, \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedRemoteDestination $associatedRemoteDestination = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setOwnerIdName($ownerIdName)
            ->setMembers($members)
            ->setAssociatedRemoteDestination($associatedRemoteDestination)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTodAccess
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTodAccess
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get ownerIdName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getOwnerIdName()
    {
        return $this->ownerIdName;
    }
    /**
     * Set ownerIdName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $ownerIdName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTodAccess
     */
    public function setOwnerIdName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $ownerIdName = null)
    {
        $this->ownerIdName = $ownerIdName;
        return $this;
    }
    /**
     * Get members value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Members|null
     */
    public function getMembers()
    {
        return $this->members;
    }
    /**
     * Set members value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTodAccess
     */
    public function setMembers(\\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null)
    {
        $this->members = $members;
        return $this;
    }
    /**
     * Get associatedRemoteDestination value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedRemoteDestination|null
     */
    public function getAssociatedRemoteDestination()
    {
        return $this->associatedRemoteDestination;
    }
    /**
     * Set associatedRemoteDestination value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedRemoteDestination $associatedRemoteDestination
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTodAccess
     */
    public function setAssociatedRemoteDestination(\\Losc\CucmBundle\Model\Webservice\StructType\AssociatedRemoteDestination $associatedRemoteDestination = null)
    {
        $this->associatedRemoteDestination = $associatedRemoteDestination;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTodAccess
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
